> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Component



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/catalog-item-drafts/components
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-item-drafts/components:
    post:
      tags:
        - Catalog Item Draft
      summary: Add Component
      operationId: CatalogItemDraftController_addComponent_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddCatalogItemDraftComponentDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CatalogItemPartResponseDto'
components:
  schemas:
    AddCatalogItemDraftComponentDto:
      type: object
      properties:
        productTypeId:
          type: string
          pattern: ^[1-9]\d*$
        location:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 255
            - type: 'null'
        quantity:
          type: string
          pattern: ^(?!0+(?:\.0{1,6})?$)\d{1,16}(?:\.0{1,6})?$
        name:
          type: string
          minLength: 1
          maxLength: 200
        itemType:
          type: string
          enum:
            - default
            - material
        columnsAttributes:
          type: object
          propertyNames:
            type: string
            minLength: 1
            maxLength: 200
          additionalProperties:
            $ref: '#/components/schemas/__schema0'
        requestKey:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        parentItemId:
          type: string
          pattern: ^[1-9]\d*$
        confirmRelease:
          type: boolean
      required:
        - productTypeId
        - quantity
        - requestKey
        - parentItemId
      additionalProperties: false
    CatalogItemPartResponseDto:
      type: object
      properties:
        id:
          type: string
        itemId:
          type: string
        partItemId:
          type: string
        partItemName:
          type: string
        partFamilyId:
          type: string
        partFamilyName:
          type: string
        partFamilyType:
          type: string
          enum:
            - default
            - material
        primaryImageUrl:
          type:
            - string
            - 'null'
        categoryName:
          type: string
        quantity:
          type: string
        location:
          type:
            - string
            - 'null'
        createdAt:
          type: string
      required:
        - id
        - itemId
        - partItemId
        - partItemName
        - partFamilyId
        - partFamilyName
        - partFamilyType
        - primaryImageUrl
        - categoryName
        - quantity
        - location
        - createdAt
    __schema0:
      anyOf:
        - type: string
        - type: number
        - type: boolean
        - type: 'null'
        - type: array
          items:
            $ref: '#/components/schemas/__schema0'
        - type: object
          propertyNames:
            type: string
          additionalProperties:
            $ref: '#/components/schemas/__schema0'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.